#
# spec file for package patterns-kde_minimal
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_with betatest

Name:           patterns-kde_minimal
Version:        20250123
Release:        bp156.2.1
Summary:        Patterns for Installation (minimal kde)
License:        MIT
Group:          Metapackages
URL:            https://github.com/openSUSE/patterns
BuildRequires:  patterns-rpm-macros
BuildArch:      noarch

%description
This is an internal package that is used to create the patterns as part
of the installation source setup.  Installation of this package does
not make sense.

This particular package contains the minimal KDE patterns.


################################################################################

%package kde_minimal
%pattern_graphicalenvironments
Summary:        Minimal KDE Applications and Plasma 5 Desktop
Group:          Metapackages
Provides:       patterns-openSUSE-kde_minimal = %{version}
Provides:       patterns-openSUSE-kde4_minimal = %{version}
Provides:       pattern() = kde_minimal
Provides:       pattern-icon() = pattern%2Dkde
Provides:       pattern-order() = 1110
Provides:       pattern-visible()
Obsoletes:      patterns-openSUSE-kde_minimal < %{version}
Obsoletes:      patterns-openSUSE-kde4 < %{version}
Requires:       pattern() = kde_plasma_minimal
Recommends:     ark
Recommends:     discover
Recommends:     dolphin
Recommends:     gwenview5
Recommends:     kate
Recommends:     kcalc
Recommends:     kipi-plugins
Recommends:     konsole
Recommends:     okular
Recommends:     spectacle
Recommends:     pattern() = kde_internet
Recommends:     pattern() = kde_pim
Recommends:     pattern() = kde_yast
# bnc#605509
Recommends:     skanlite
# bnc#521177
Suggests:       yakuake
Suggests:       kcron
Suggests:       ksystemlog
# from data/COMMON-DESKTOP
Recommends:     MozillaFirefox
Recommends:     avahi
Recommends:     yast2-control-center-qt
Suggests:       marble
Suggests:       kiosktool
Suggests:       krename
Suggests:       vym

%description kde_minimal
Minimal selection of packages providing the Plasma desktop environment and applications from KDE.

%files kde_minimal
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_minimal.txt

################################################################################

%package kde_plasma_minimal
%pattern_graphicalenvironments
Summary:        Minimal KDE Plasma 5 Desktop Base
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_basis_minimal = %{version}
Provides:       patterns-openSUSE-kde_plasma_minimal = %{version}
Provides:       pattern() = kde_plasma_minimal
Provides:       pattern-icon() = pattern%2Dkde
Provides:       pattern-order() = 1100
Provides:       pattern-visible()
Obsoletes:      patterns-openSUSE-kde4_admin < %{version}
Obsoletes:      patterns-openSUSE-kde4_basis < %{version}
Obsoletes:      patterns-openSUSE-kde4_laptop < %{version}
Obsoletes:      patterns-openSUSE-kde4_pure < %{version}
Obsoletes:      patterns-openSUSE-kde_plasma < %{version}
Obsoletes:      patterns-openSUSE-plasma5_basis < %{version}
Provides:       patterns-openSUSE-plasma5_basis = %{version}
# Obsolete the kdebase4-workspace-devel package specifically to prevent upgrade issues
Obsoletes:      kdebase4-workspace-devel
Requires:       pattern() = x11
# Obsolete the KDE bindings which have not been ported yet
Obsoletes:      mono-kde4
Obsoletes:      perl-kde4
Obsoletes:      python3-kde4
Obsoletes:      ruby-kde4

# Minimum to get a usable desktop
Requires:       breeze5-cursors
Requires:       breeze5-decoration
Requires:       breeze5-icons
Requires:       breeze5-style
Requires:       plasma5-session
Requires:       qqc2-desktop-style
# bnc#508120
Requires:       xdg-user-dirs
# bnc#430161
Requires:       desktop-data
Requires:       polkit-default-privs

# We have a theme for this, so prefer it
Recommends:     sddm

# To open folders on the desktop
Recommends:     dolphin

# Additional packages for the desktop
Recommends:     bluedevil5
Recommends:     breeze5-wallpapers
Recommends:     kgamma5
Recommends:     plasma-nm5
Recommends:     plasma5-addons
Recommends:     plasma5-disks
Recommends:     plasma5-pa
Recommends:     plasma5-pk-updates
Recommends:     plasma5-systemmonitor
Recommends:     plasma5-thunderbolt
# boo#1177628
# Recommends:     kdeconnect-kde
Recommends:     kde-print-manager
Recommends:     kwrited5
# Wayland is optional
Recommends:     plasma5-session-wayland

# Make sure that at least a phonon backend is being installed
# Disable to not having a dependency to Workstation Extension
#Requires:       phonon4qt5-backend
#Suggests:       phonon4qt5-backend-vlc

# bnc#541820
Recommends:     khelpcenter5
Recommends:     baloo5-file
Recommends:     baloo5-kioslaves
Recommends:     baloo5-tools
Recommends:     kdenetwork-filesharing
Recommends:     kio-extras5
Recommends:     kwalletmanager5
Recommends:     pinentry-qt5
# boo#1208684
Recommends:     pam_kwallet

%if 0%{?suse_version} > 1500
# pipewire
Recommends:     pipewire
Recommends:     pipewire-alsa
Recommends:     pipewire-pulseaudio
%else
# pulseaudio
Recommends:     pulseaudio
Recommends:     alsa-plugins-pulse
Recommends:     pulseaudio-module-x11
Recommends:     pulseaudio-module-zeroconf
Recommends:     pulseaudio-utils
%endif

# Thumbnailers
Recommends:     ffmpegthumbs
Recommends:     kdegraphics-thumbnailers

%description kde_plasma_minimal
Minimal Base packages for the KDE Plasma 5 desktop environment.

%files kde_plasma_minimal
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_plasma_minimal.txt

################################################################################

%package kde_yast_minimal
%pattern_basetechnologies
Summary:        Minimal YaST KDE User Interfaces
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_yast = %{version}
Provides:       patterns-openSUSE-kde_yast_minimal = %{version}
Provides:       pattern() = kde_yast_minimal
Provides:       pattern-extends() = yast2_basis_minimal
Provides:       pattern-icon() = pattern-generic
Provides:       pattern-order() = 1300
Obsoletes:      patterns-openSUSE-kde4_yast < %{version}
Obsoletes:      patterns-openSUSE-kde_yast_minimal < %{version}
Provides:       patterns-kde-sw_management_kde = %{version}
Obsoletes:      patterns-kde-sw_management_kde < %{version}
Provides:       patterns-openSUSE-sw_management_kde = %{version}
Obsoletes:      patterns-openSUSE-sw_management_kde < %{version}
Provides:       patterns-openSUSE-sw_management_kde4 = %{version}
Obsoletes:      patterns-openSUSE-sw_management_kde4 < %{version}
Supplements:    (patterns-kde-kde_plasma_minimal and patterns-yast-yast2_basis)
# from data/KDE4-YaST
Requires:       libyui-qt-pkg
Requires:       yast2-control-center-qt
Recommends:     (yast2-theme-oxygen if oxygen5-icon-theme)

%description kde_yast_minimal
Minimal graphical YaST user interfaces for the KDE desktop.

%files kde_yast_minimal
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_yast_minimal.txt

%prep

%build

%install
mkdir -p %{buildroot}/%{_defaultdocdir}/patterns/
for i in kde_minimal kde_plasma_minimal kde_yast_minimal; do
    echo "This file marks the pattern $i to be installed." \
        >"%{buildroot}/%{_defaultdocdir}/patterns/$i.txt"
done

%changelog
* Mon Feb 10 2025 Wolfgang Engel <wolfgang.engel@suse.com>
- Initial pattern (fixes bsc#1235238)
